import java.awt.Dimension;
import java.util.List;

import javax.swing.JFrame;

import org.math.plot.Plot2DPanel;

public class PlotDrawer {
	private static final Plot2DPanel plot = new Plot2DPanel();
	private static final JFrame frame = new JFrame( "Plot" );
	private static final Dimension SIZE = new Dimension( 600, 400 );
	
	static {
		plot.setPreferredSize( SIZE );
		
		frame.add( plot );
		frame.pack();
		frame.setVisible( true );
		frame.setDefaultCloseOperation( JFrame.EXIT_ON_CLOSE );
	}
	
	public static void draw( List< Double > result ) {
		int vect_size = result.size();
		
		double[] y = new double[ vect_size ];
		double[] x = new double[ vect_size ];
		
		for ( int i = 0; i < vect_size; i++ ) {
			y[ i ] = ( Double.isNaN( result.get( i ) ) ) ? 0.0 : result.get( i );
			x[ i ] = ( double )i / ( double )( vect_size - 1 );
		}
		
		plot.removeAllPlots();
		plot.addLinePlot( "Plot", x, y );
	}
}
